ChartDirector Ver 4.1 (PHP Edition Edition)

HLOCLayer.setColorMethod

Usage

setColorMethod(colorMethod, riseColor [, fallColor [, leadValue ]])

Description

Sets the coloring method for the HLOC symbols.
See XYChart.addHLOCLayer3 for the supported coloring methods for HLOC symbols.

Arguments

Argument | Default | Description
--- | --- | ---
colorMethod | (Mandatory) | The method to color the HLOC layer. Please refer to XYChart.addHLOCLayer3 for the supported coloring methods.
riseColor | (Mandatory) | The color to be used on an "up" day.
fallColor | -1 | The color to be used on a "down" day. The default value of -1 means it is the same as the riseColor.
leadValue | [-Infinity] | The lead value to act as the closing pricing before the first day, so as to determine if the first day is an "up" or "down" day.

Return Value

None

© 2006 Advanced Software Engineering Limited. All rights reserved.